<id>
Joined and Last Online Date in Message View - Version 1.5 for YaBB 2.5 AE
</id>

<version>
1.5
</version>

<mod info>
Description
-----------
This mod will add users joined and last online date to the message view.
You can enable/disable these options in your admin panel.

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.

Files to edit
------------- 
Admin/ModList.pl
Admin/NewSettings.pl
Admin/Settings_Main.pl
Languages/English/Admin.lng 
Languages/English/Display.lng 
Sources/Display.pl 
Templates/default/Display.template
Templates/yabb21/Display.template

Mod History
-----------
Version 1.0 - Joined Date in Message Display (YaBB 2.2.1 - 2.2.3) - 26th March 2008
Version 1.1 - Added a checkbox to enable/disable this setting (YaBB 2.2.1 - 2.2.3) - 11th July 2008
Version 1.2 - Updated for YaBB 2.3 - Changed it from being added onto user text and changed name from 'Message Display' to 'Message View' - 20th October 2008
Version 1.3 - Updated for YaBB 2.3.1 - 4th January 2009
Version 1.4 - Updated for YaBB 2.4 - 14th April 2009
Version 1.5 - Updated and modified for YaBB 2.5 AE - 24th September 2010 by ThM
</mod info>

<author>
Co-Production from Carsten, ThM and Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$joineddate = "Joined and Last Online Date in Message View for YaBB 2.5 AE|Carsten, Thomas M&uuml;ller (<a href=\"http://www.yabbwelt.de\" target=\"_blank\">ThM</a>) and Derek Barnstorm|This mod will add users joined and last online date to the message view. You can enable/disable the <a href=\"$adminurl?action=newsettings;page=main\">settings</a> in your admin panel.|1.5|24th September 2010";
	push (@installed_mods, "$joineddate");
	
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$showgenderimage = $showgenderimage;			# Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add after>
\$joineddate = $joineddate;				# Set to 1 to display each member's joined date in the message view
\$llogindate = $llogindate;				# Set to 1 to display each member's last login date in the message view
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
			name => 'showgenderimage',
			validate => 'boolean',
		},
</search for>

<add after>
		{
			description => qq~<label for="joineddate">$admin_txt{'386a'}</label>~,
			input_html => qq~<input type="checkbox" name="joineddate" id="joineddate" value="1"${ischecked($joineddate)} />~,
			name => 'joineddate',
			validate => 'boolean',
		},
		{
			description => qq~<label for="llogindate">$admin_txt{'386b'}</label>~,
			input_html => qq~<input type="checkbox" name="llogindate" id="llogindate" value="1"${ischecked($llogindate)} />~,
			name => 'llogindate',
			validate => 'boolean',
		}, 
</add after>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
'386' => 'Show Gender Image in Message View?',
</search for>

<add after>
'386a' => 'Show User Joined Date in Message View?',
'386b' => 'Show User Last Login Date in Message View?',
</add after>

<edit file>
Languages/English/Display.lng
</edit file>

<search for>
%display_txt = (
</search for>

<add after>
'09' => 'Joined',
'09a' => 'Last online',
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		my ($userlocation, $aimad, $yimad, $msnad, $gtalkad, $skypead, $myspacead, $facebookad, $icqad, $buddyad, $addbuddy, $isbuddy, $addbuddylink, $userOnline, $signature_hr, $lastmodified, $memberinfo, $template_postinfo, $template_ext_prof, $template_profile, $template_quote, $template_email, $template_www, $template_pm);
</search for>

<add after>
		my ($template_regdate, $template_llogindate);
</add after>

<search for>
			$template_postinfo = qq~$display_txt{'21'}: $tmppostcount<br />~;
</search for>

<add after>
            $member_regdate = &timeformat(${$uid.$musername}{'regtime'});
            $template_regdate = qq~$display_txt{'09'}: $member_regdate<br />~ if $joineddate;
            $member_llogindate = &timeformat(${$uid.$musername}{'lastonline'});
            $template_llogindate = qq~$display_txt{'09a'}: $member_llogindate<br />~ if $llogindate;
</add after>

<search for>
		$outblock =~ s/({|<)yabb postinfo(}|>)/$template_postinfo/g;
</search for>

<add after>
		$outblock =~ s/({|<)yabb regdate(}|>)/$template_regdate/g;
		$outblock =~ s/({|<)yabb llogindate(}|>)/$template_llogindate/g;
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
         {yabb usertext}
</search for>

<add after>
		 {yabb regdate}
		 {yabb llogindate}
</add after>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
		<yabb usertext><br />
</search for>

<add after>
		<yabb regdate>
		<yabb llogindate>
</add after>
